Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.newdawn.slick.util
Class FastTrig

    java.lang.Object
      org.newdawn.slick.util.FastTrig

    public class FastTrig

extends java.lang.Object

Utility to handle Java's odd trig performance issues

Author:
  JeffK

Constructor Summary
`FastTrig()`

Method Summary
`static double` | `cos(double radians)` Get the cosine of an angle
`static double` | `sin(double radians)` Get the sine of an angle

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FastTrig

    public FastTrig()

Method Detail

### sin

    public static double sin(double radians)

  Get the sine of an angle

  Parameters:
    `radians` - The angle
  Returns:
    The sine of the angle

### cos

    public static double cos(double radians)

  Get the cosine of an angle

  Parameters:
    `radians` - The angle
  Returns:
    The cosine of the angle

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 New Dawn Software. All Rights Reserved.